For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
DocsAPI ReferenceWebhooksMethodsUI ComponentsMCP ServerChangelog
  • API Reference
        • POSTList 10DLC Campaigns
        • GETGet 10DLC Campaign by ID
        • POSTCreate or Update 10DLC Campaign
        • POSTSubmit 10DLC Campaign
        • POSTAutofill 10DLC Campaign Information
        • POSTValidate 10DLC Campaign Information
LogoLogo
SupportDashboard
API ReferenceCampaigns10DLC

Validate 10DLC Campaign Information

POST
https://api.pinnacle.sh/campaigns/dlc/validate
POST
/campaigns/dlc/validate
1import { PinnacleClient } from "rcs-js";
2
3async function main() {
4 const client = new PinnacleClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.campaigns.dlc.validate({
8 campaignId: "dlc_1234567890",
9 additionalInfo: "Please validate this DLC campaign for 10DLC compliance",
10 });
11}
12main();
1{
2 "errors": [],
3 "is_valid": true
4}
Validate your 10DLC campaign configuration against carrier requirements and compliance rules.
Was this page helpful?
Previous

List RCS Campaigns

Next
Built with

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Request

This endpoint expects an object.
campaignIdstringRequired

Unique identifier for the campaign.

  • When validating 10DLC campaigns, it must begin with the prefix dlc_ (e.g., dlc_1234567890)
  • When validating toll-free campaigns, it must begin with the prefix tf_ (e.g., tf_1234567890)
  • When validating RCS campaigns, it must begin with the prefix rcs_ (e.g., rcs_1234567890)
additionalInfostringOptional
Any additional information you want to provide.

Response

Returns validation results.
errorslist of objects
List of validation errors.
is_validboolean
Whether the campaign is valid or not.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error